Bug 444028 - --wait option in virt-viewer doesn't connect when guest is started
--wait option in virt-viewer doesn't connect when guest is started
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: virt-viewer (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Daniel Berrange
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-24 12:56 EDT by Gurhan Ozen
Modified: 2013-11-03 20:35 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:48:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gurhan Ozen 2008-04-24 12:56:54 EDT
Description of problem:
virt-viewer --wait <guestname> should get notification and start up when the
guest is started if guest is inactive. However, it doesn't ..

# virsh shutdown rhel5u2hvm
Domain rhel5u2hvm is being shutdown

# virsh list
 Id Name                 State
----------------------------------
  0 Domain-0             running

# virt-viewer --wait rhel5u2hvm

(then in another console)

# virsh start rhel5u2hvm
Domain rhel5u2hvm started

# virsh list
 Id Name                 State
----------------------------------
  0 Domain-0             running
  6 rhel5u2hvm           running

This doesn't result in virt-viewer connecting to the guest. 


Version-Release number of selected component (if applicable):
# rpm -q virt-viewer
virt-viewer-0.0.2-2.el5

How reproducible:
everytime.

Steps to Reproduce:
1. steps are outlined in description
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel Berrange 2008-04-24 13:04:18 EDT
Fixed upstream in

http://hg.et.redhat.com/virt/applications/virt-viewer--devel?cs=7f20b8bb6abd
Comment 2 Daniel Berrange 2009-04-01 11:58:25 EDT
Fix built in 0.0.2-3.el5
Comment 6 errata-xmlrpc 2009-09-02 05:48:27 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1299.html

Note You need to log in before you can comment on or make changes to this bug.